> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ref.scoutos.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ref.scoutos.com/_mcp/server.

# Update a copilot

PUT https://api.scoutos.com/v2/copilots/{copilot_id}
Content-Type: application/json

Reference: https://ref.scoutos.com/api-sdk/endpoints/copilots/update

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `copilot_id` (string, required)

### Body (application/json)

This endpoint expects a CopilotConfig.

- `workflow_id` (string, optional, nullable)
- `img_url` (string, optional, nullable, default: https://cdn.sanity.io/images/0cfe0chk/production/632552466286c4255bff73da9eb7b76b32411771-24x24.svg)
- `display_name` (string, optional, nullable, default: Copilot)
- `mode` (enum, optional, default: light)
  - Allowed values: `light`, `dark`
- `code_theme` (enum, optional, default: dark)
  - Allowed values: `light`, `dark`, `none`
- `colors` (map from string to string, optional)
- `fab` (map from string to CopilotConfigFab, optional)
- `loading_text` (string, optional, nullable, default: Thinking...)
- `message_placeholder` (string, optional, nullable, default: Ask anything...)
- `initial_activity` (list of any, optional)
- `allowed_origins` (string, optional, nullable, default: )
- `powered_by` (string, optional, nullable, default: )

## Response

### 200

Successful Response

- `data` (Copilot, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### CopilotConfigFab

- string
- integer

### Copilot

- `copilot_config` (CopilotConfig, required)
- `last_updated_at` (datetime, required)
- `created_at` (datetime, required)
- `created_by` (Identity, required)
- `last_updated_by` (Identity, required)
- `revision_id` (string, required)
- `copilot_id` (string, required)
- `is_draft` (boolean, optional, default: false)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### CopilotConfig

- `workflow_id` (string, optional, nullable)
- `img_url` (string, optional, nullable, default: https://cdn.sanity.io/images/0cfe0chk/production/632552466286c4255bff73da9eb7b76b32411771-24x24.svg)
- `display_name` (string, optional, nullable, default: Copilot)
- `mode` (enum, optional, default: light)
  - Allowed values: `light`, `dark`
- `code_theme` (enum, optional, default: dark)
  - Allowed values: `light`, `dark`, `none`
- `colors` (map from string to string, optional)
- `fab` (map from string to CopilotConfigFab, optional)
- `loading_text` (string, optional, nullable, default: Thinking...)
- `message_placeholder` (string, optional, nullable, default: Ask anything...)
- `initial_activity` (list of any, optional)
- `allowed_origins` (string, optional, nullable, default: )
- `powered_by` (string, optional, nullable, default: )

### Identity

- `type` (enum, required)
  - Allowed values: `user`, `api_key`, `system`
- `details` (IdentityDetails, required)

### ValidationErrorLocItems

- string
- integer

### IdentityDetails

- UserIdentity: UserIdentity
- ApiKeyIdentity: ApiKeyIdentity

### UserIdentity

- `user_id` (string, required)
- `org_id` (string, required)
- `scout_organization_id` (string, required)
- `email` (UserIdentityEmail, required)

### ApiKeyIdentity

- `api_key` (ApiKeyIdentityApiKey, optional)

### UserIdentityEmail

### ApiKeyIdentityApiKey

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "copilot_config": {
      "workflow_id": "wf_9a8b7c6d5e4f3g2h1i0j",
      "img_url": "https://cdn.sanity.io/images/0cfe0chk/production/632552466286c4255bff73da9eb7b76b32411771-24x24.svg",
      "display_name": "Scout AI Assistant",
      "mode": "light",
      "code_theme": "dark",
      "colors": {},
      "fab": {},
      "loading_text": "Loading your AI assistant...",
      "message_placeholder": "Type your question here...",
      "initial_activity": [
        null
      ],
      "allowed_origins": "https://app.scoutos.com",
      "powered_by": "ScoutOS AI"
    },
    "last_updated_at": "2024-01-15T09:30:00Z",
    "created_at": "2024-01-15T09:30:00Z",
    "created_by": {
      "type": "user",
      "details": {
        "api_key": {}
      }
    },
    "last_updated_by": {
      "type": "user",
      "details": {
        "api_key": {}
      }
    },
    "revision_id": "rev_20240115_0930",
    "copilot_id": "copilot_1234567890abcdef",
    "is_draft": false
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.scoutos.com/v2/copilots/copilot_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```typescript
import { ScoutClient, Scout } from "scoutos";

const client = new ScoutClient({ apiKey: "YOUR_API_KEY" });
await client.copilots.update("copilot_id", {});

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.scoutos.com/v2/copilots/copilot_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.scoutos.com/v2/copilots/copilot_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.scoutos.com/v2/copilots/copilot_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.scoutos.com/v2/copilots/copilot_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.scoutos.com/v2/copilots/copilot_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.scoutos.com/v2/copilots/copilot_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```